# Cinder

# cinder::gl::TileRender Class Reference

`#include <TileRender.h>`

List of all members.

## Public Member Functions
| TileRender (int32_t imageWidth, int32_t imageHeight, int32_t tileWidth=512, int32_t tileHeight=512)
bool | nextTile ()
int32_t | getImageWidth () const
int32_t | getImageHeight () const
float | getImageAspectRatio () const
Area | getCurrentTileArea () const
Surface | getSurface () const
void | setMatricesWindow (int32_t windowWidth, int32_t windowHeight)
void | setMatrices (const Camera &camera)
void | frustum (float left, float right, float bottom, float top, float nearPlane, float farPlane)
void | ortho (float left, float right, float bottom, float top, float nearPlane, float farPlane)
## Protected Member Functions
void | updateFrustum ()
## Protected Attributes
int32_t | mImageWidth
int32_t | mImageHeight
int32_t | mTileWidth
int32_t | mTileHeight
int32_t | mNumTilesX
int32_t | mNumTilesY
int32_t | mCurrentTile
Area | mCurrentArea
Rectf | mCurrentFrustumCoords
float | mCurrentFrustumNear
float | mCurrentFrustumFar
bool | mCurrentFrustumPersp
Area | mSavedViewport
Surface | mSurface

## Constructor & Destructor Documentation

cinder::gl::TileRender::TileRender | ( | int32_t | imageWidth,
|  | int32_t | imageHeight,
|  | int32_t | tileWidth = `512`,
|  | int32_t | tileHeight = `512` |
| ) |  |  |

## Member Function Documentation

bool cinder::gl::TileRender::nextTile | ( |  | ) |

int32_t cinder::gl::TileRender::getImageWidth | ( |  | ) | const

int32_t cinder::gl::TileRender::getImageHeight | ( |  | ) | const

float cinder::gl::TileRender::getImageAspectRatio | ( |  | ) | const

Area cinder::gl::TileRender::getCurrentTileArea | ( |  | ) | const

Surface cinder::gl::TileRender::getSurface | ( |  | ) | const

void cinder::gl::TileRender::setMatricesWindow | ( | int32_t | windowWidth,
|  | int32_t | windowHeight |
| ) |  |  |

void cinder::gl::TileRender::setMatrices | ( | const Camera & | camera | ) |

void cinder::gl::TileRender::frustum | ( | float | left,
|  | float | right,
|  | float | bottom,
|  | float | top,
|  | float | nearPlane,
|  | float | farPlane |
| ) |  |  |

void cinder::gl::TileRender::ortho | ( | float | left,
|  | float | right,
|  | float | bottom,
|  | float | top,
|  | float | nearPlane,
|  | float | farPlane |
| ) |  |  |

void cinder::gl::TileRender::updateFrustum | ( |  | ) | `[protected]`

## Member Data Documentation

int32_t cinder::gl::TileRender::mImageWidth`[protected]`

int32_t cinder::gl::TileRender::mImageHeight`[protected]`

int32_t cinder::gl::TileRender::mTileWidth`[protected]`

int32_t cinder::gl::TileRender::mTileHeight`[protected]`

int32_t cinder::gl::TileRender::mNumTilesX`[protected]`

int32_t cinder::gl::TileRender::mNumTilesY`[protected]`

int32_t cinder::gl::TileRender::mCurrentTile`[protected]`

Area cinder::gl::TileRender::mCurrentArea`[protected]`

Rectf cinder::gl::TileRender::mCurrentFrustumCoords`[protected]`

float cinder::gl::TileRender::mCurrentFrustumNear`[protected]`

float cinder::gl::TileRender::mCurrentFrustumFar`[protected]`

bool cinder::gl::TileRender::mCurrentFrustumPersp`[protected]`

Area cinder::gl::TileRender::mSavedViewport`[protected]`

Surface cinder::gl::TileRender::mSurface`[protected]`

The documentation for this class was generated from the following files:

- include/cinder/gl/TileRender.h
- src/cinder/gl/TileRender.cpp